Is there a way of telling apps that your 3.1.3 ipod touch is actually running OS4? I dont want to upgrade for various reasons, but there are some apps that wont run on my ipod